#include<bits/stdc++.h>
using namespace std;
ifstream f1("BAI4_14.inp");
ofstream f2("BAI4_14.out");
int main()
{
	string s;
	long d=0;
	getline(f1,s);
	for(int i=s.length()-1;i>=0;i--)
	{
		if(s[i]=='1') d+=pow(2,i);
	}
	f2<<d;
}
